<?php
namespace app\controller;

use app\BaseController;
use app\model\Ry;
use app\service\NszyService;
use app\service\QyBasicService;
use app\service\RyService;
use think\db\exception\DataNotFoundException;
use think\db\exception\DbException;
use think\db\exception\ModelNotFoundException;
use think\response\Json;
use think\annotation\Route;
use think\annotation\route\Middleware;
use thans\jwt\facade\JWTAuth;
class Index extends BaseController
{
    protected $middleware = [
        'jwt' 	=> ['except' 	=> ['login'] ],
    ];
    use ResponseJson;
    public function index()
    {
        return '<style type="text/css">*{ padding: 0; margin: 0; } div{ padding: 4px 48px;} a{color:#2E5CD5;cursor: pointer;text-decoration: none} a:hover{text-decoration:underline; } body{ background: #fff; font-family: "Century Gothic","Microsoft yahei"; color: #333;font-size:18px;} h1{ font-size: 100px; font-weight: normal; margin-bottom: 12px; } p{ line-height: 1.6em; font-size: 42px }</style><div style="padding: 24px 48px;"> <h1>:) </h1><p> ThinkPHP V' . \think\facade\App::version() . '<br/><span style="font-size:30px;">16载初心不改 - 你值得信赖的PHP框架</span></p><span style="font-size:25px;">[ V6.0 版本由 <a href="https://www.yisu.com/" target="yisu">亿速云</a> 独家赞助发布 ]</span></div><script type="text/javascript" src="https://e.topthink.com/Public/static/client.js"></script><think id="ee9b1aa918103c4fc"></think>';
    }

    public function hello($name = 'ThinkPHP6')
    {
        return 'hello,' . $name;
    }

    /**
     * @throws ModelNotFoundException
     * @throws DataNotFoundException
     * @throws DbException
     * @Route("login")
     * @Middleware({})
     */
    public function login():Json{
       $loginInfo =  $this->request->get();
       $userInfo=RyService::selectLoginInfo($loginInfo);
       if ($userInfo){
           $token = JWTAuth::builder(['qydm' => $userInfo["qydm"]]);//参数为用户认证的信息，请自行添加
           return $this->JsonSucess(["token"=>$token,"userInfo"=>$userInfo],1001);
       }else{
           return $this->JsonError(1002);
       }


    }

    /**
     * @throws ModelNotFoundException
     * @throws DataNotFoundException
     * @throws DbException
     * @Route("/getQyBasicList")
     * @Middleware({"jwt"})
     */
    public function getQyBasicList(): Json
    {
        getQydm();

        return $this->JsonSucess(QyBasicService::selectQyBasic());
    }

    /**
     * @throws ModelNotFoundException
     * @throws DataNotFoundException
     * @throws DbException
     * @Route("getNszyByQydm")
     * @Middleware({"jwt"})
     */
    public function getNszyByQydm():Json{
        return $this->JsonSucess(NszyService::selectNszyByQydm(getQydm()));
    }
}
